Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/pi.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/pi.xsl	(revision f5da8e92f71e3009c439a98e4b1ef7004f867bb4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/pi.xsl	(revision bbe9b3dad184299d621150c9e55f26864b814857)
@@ -421,64 +539,24 @@
 </xsl:template>
 
-<doc:pi name="dbfo_list-presentation" xmlns="">
-<refpurpose>Specifies presentation style for a variablelist or
-  segmentedlist</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo list-presentation</tag> PI as a child of
-    a <tag>variablelist</tag> or <tag>segmentedlist</tag> to
-    control the presentation style for the list (to cause it, for
-    example, to be displayed as a table).</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo list-presentation="list"|"blocks"|"table"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>list-presentation="list"</term>
-      <listitem>
-        <para>Displayed the list as a list</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry><term>list-presentation="blocks"</term>
-      <listitem>
-        <para>(<tag>variablelist</tag> only) Displays the list as blocks</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry><term>list-presentation="table"</term>
-      <listitem>
-        <para>(<tag>segmentedlist</tag> only) Displays the list as a table</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_list-presentation">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'list-presentation'"/>
-  </xsl:call-template>
-</xsl:template>
-
 <doc:pi name="dbfo_orientation" xmlns="">
-<refpurpose>Specifies the orientation for table row or cell</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo orientation</tag> PI as a child of an
-    <tag>table</tag> row or cell to specify the orientation
-    (rotation) for the row or cell.</para>
-</refdescription>
+  <refpurpose>Specifies the orientation for table row or cell</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo orientation</tag> PI as a child of an
+      <tag>table</tag> row or cell to specify the orientation
+      (rotation) for the row or cell.</para>
+  </refdescription>
   <refsynopsisdiv>
     <synopsis><tag class="xmlpi">dbfo orientation="0"|"90"|"180"|"270"|"-90"|"-180"|"-270"</tag></synopsis>
   </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>orientation="0"|"90"|"180"|"270"|"-90"|"-180"|"-270"</term>
-      <listitem>
-        <para>Specifies the number of degrees by which the cell or
-          row is rotated</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>orientation="0"|"90"|"180"|"270"|"-90"|"-180"|"-270"</term>
+        <listitem>
+          <para>Specifies the number of degrees by which the cell or
+            row is rotated</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
 </doc:pi>
 <xsl:template name="pi.dbfo_orientation">
@@ -491,31 +569,32 @@
 
 <doc:pi name="dbfo_pgwide" xmlns="">
-  <refpurpose>Species whether an <tag>equation</tag> or
-    <tag>example</tag> should rendered across the full width of a
-    page</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo pgwide</tag> PI as a child of an
-    <tag>equation</tag> or <tag>example</tag> to specify that the
-    content should rendered across the full width of the page.</para>
-</refdescription>
+  <refpurpose>Specifies if an <tag>equation</tag> or <tag>example</tag> goes across full page width</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo pgwide</tag> PI as a child of an
+      <tag>equation</tag> or <tag>example</tag> to specify that the
+      content should rendered across the full width of the page.</para>
+  </refdescription>
   <refsynopsisdiv>
     <synopsis><tag class="xmlpi">dbfo pgwide="0"|"1"</tag></synopsis>
   </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>pgwide="0"</term>
-      <listitem>
-        <para>If zero, the content is rendered across the current
-        text flow</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry><term>pgwide="1"</term>
-      <listitem>
-        <para>If <code>1</code> (or any non-zero value), the
-          content is rendered across the full width of the page</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>pgwide="0"</term>
+        <listitem>
+          <para>If zero, the content is rendered across the current
+            text flow</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>pgwide="1"</term>
+        <listitem>
+          <para>If <code>1</code> (or any non-zero value), the
+            content is rendered across the full width of the page</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para><parameter>pgwide.properties</parameter></para>
+  </refsee>
 </doc:pi>
 <xsl:template name="pi.dbfo_pgwide">
@@ -530,29 +609,28 @@
   <refpurpose>Specifies the width for a table <tag>entry</tag> or
     <tag>row</tag></refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo rotated-width</tag> PI as a child of an
-    <tag>entry</tag> or <tag>row</tag> instance to specify the
-    width of that the <tag>entry</tag> or <tag>row</tag>; or
-    use it higher up in table to cause the width to be inherited
-    recursively down.</para>
-</refdescription>
+  <refdescription>
+    <para>Use the <tag>dbfo rotated-width</tag> PI as a child of an
+      <tag>entry</tag> or <tag>row</tag> instance to specify the
+      width of that the <tag>entry</tag> or <tag>row</tag>; or
+      use it higher up in table to cause the width to be inherited
+      recursively down.</para>
+  </refdescription>
   <refsynopsisdiv>
     <synopsis><tag class="xmlpi">dbfo rotated-width="<replaceable>width</replaceable>"</tag></synopsis>
   </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>rotated-width="<replaceable>width</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies the width of a row or cell (in what units?)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>rotated-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the width of a row or cell (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
 </doc:pi>
 <xsl:template name="pi.dbfo_rotated-width">
   <xsl:param name="node" select="."/>
   <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis"
-      select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
     <xsl:with-param name="attribute" select="'rotated-width'"/>
   </xsl:call-template>
@@ -560,21 +638,32 @@
 
 <doc:pi name="dbfo_sidebar-width" xmlns="">
-<refpurpose>Specifies the width of a sidebar</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo sidebar-width</tag> PI as a child of a
-    <tag>sidebar</tag> to specify the width of the sidebar.</para>
-</refdescription>
+  <refpurpose>Specifies the width of a sidebar</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo sidebar-width</tag> PI as a child of a
+      <tag>sidebar</tag> to specify the width of the sidebar.</para>
+  </refdescription>
   <refsynopsisdiv>
     <synopsis><tag class="xmlpi">dbfo sidebar-width="<replaceable>width</replaceable>"</tag></synopsis>
   </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>sidebar-width="<replaceable>width</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies the <tag>sidebar</tag> width (in what units?)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>sidebar-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the <tag>sidebar</tag> width (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para><parameter>sidebar.float.type parameter</parameter>,
+      <parameter>sidebar.float.width parameter</parameter>, 
+      <parameter>sidebar.properties attribute-set</parameter>,
+      <parameter>sidebar.title.properties</parameter>
+    </para>
+  </refsee>
+  <refsee role="tcg">
+    <para><link xlink:href="SideFloats.html#SidebarFloats" >A sidebar as
+        side float</link></para>
+  </refsee>
 </doc:pi>
 <xsl:template name="pi.dbfo_sidebar-width">
@@ -586,25 +675,69 @@
 </xsl:template>
 
+<doc:pi name="dbfo_start" xmlns="">
+  <refpurpose>(obsolete) Sets the starting number on an ordered list</refpurpose>
+  <refdescription>
+    <para><emphasis>This PI is obsolete</emphasis>. The intent of
+      it was to provide a means for setting a specific starting
+      number for an ordered list. Instead of this PI, set a value
+      for the <literal>override</literal> attribute on the first
+      <tag>listitem</tag> in the list; that will have the same
+      effect as what this PI was intended for.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo start="<replaceable>character</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>start="<replaceable>character</replaceable>"</term>
+        <listitem>
+          <para>Specifies the character to use as the starting
+            number; use 0-9, a-z, A-Z, or lowercase or uppercase
+            Roman numerals</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="Orderedlists.html#ListStartNum"
+        >List starting number</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_start">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="pi-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'start'"/>
+  </xsl:call-template>
+</xsl:template>
+
 <doc:pi name="dbfo_table-width" xmlns="">
-<refpurpose>Specifies the width for a table or for revhistory
-  output</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo table-width</tag> PI as a child of a
-    <tag>table</tag> or <tag>revhistory</tag> instance (which is
-    rendered as a table in output) to specify the width of the
-    table in output.</para>
-</refdescription>
+  <refpurpose>Specifies the width for a table or for revhistory
+    output</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo table-width</tag> PI as a child or
+      sibling of a <tag>table</tag>, or as a child of an
+      <tag>informaltable</tag>, <tag>entrybl</tag>, or
+      <tag>revhistory</tag> instance (which is rendered as a table
+      in output) to specify the width of the table in output.</para>
+  </refdescription>
   <refsynopsisdiv>
     <synopsis><tag class="xmlpi">dbfo table-width="<replaceable>width</replaceable>"</tag></synopsis>
   </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>table-width="<replaceable>width</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies the table width (in what units?)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>table-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the table width (including units or as a percentage)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="Tables.html#TableWidth"
+        >Table width</link></para>
+  </refsee>
 </doc:pi>
 <xsl:template name="pi.dbfo_table-width">
@@ -617,22 +750,27 @@
 
 <doc:pi name="dbfo_term-width" xmlns="">
-<refpurpose>Specifies the term width for a variablelist</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo term-width</tag> PI as a child of a
-    <tag>variablelist</tag> to specify the width for
-    <tag>term</tag> output.</para>
-</refdescription>
+  <refpurpose>Specifies the term width for a variablelist</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo term-width</tag> PI as a child of a
+      <tag>variablelist</tag> to specify the width for
+      <tag>term</tag> output.</para>
+  </refdescription>
   <refsynopsisdiv>
     <synopsis><tag class="xmlpi">dbfo term-width="<replaceable>width</replaceable>"</tag></synopsis>
   </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>term-width="<replaceable>width</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies the term width (in what units?)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>term-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the term width (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="Variablelists.html#ListIndents"
+        >Variable list formatting in print</link></para>
+  </refsee>
 </doc:pi>
 <xsl:template name="pi.dbfo_term-width">
@@ -645,28 +783,36 @@
 
 <doc:pi name="dbfo_toc" xmlns="">
-<refpurpose>Species whether a TOC should be generated for a qandaset</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo toc</tag> PI as a child of a
-    <tag>jandaset</tag> to specify whether a table of contents
-    (TOC) is generated for the <tag>qandaset</tag>.</para>
-</refdescription>
+  <refpurpose>Species whether a TOC should be generated for a qandaset</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo toc</tag> PI as a child of a
+      <tag>qandaset</tag> to specify whether a table of contents
+      (TOC) is generated for the <tag>qandaset</tag>.</para>
+  </refdescription>
   <refsynopsisdiv>
     <synopsis><tag class="xmlpi">dbfo toc="0"|"1"</tag></synopsis>
   </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>toc="0"</term>
-      <listitem>
-        <para>If zero, no TOC is generated</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry><term>toc="1"</term>
-      <listitem>
-        <para>If <code>1</code> (or any non-zero value),
-          a TOC is generated</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>toc="0"</term>
+        <listitem>
+          <para>If zero, no TOC is generated</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>toc="1"</term>
+        <listitem>
+          <para>If <code>1</code> (or any non-zero value),
+            a TOC is generated</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="QandAtoc.html"
+        >Q and A list of questions</link>,
+      <link role="tcg"
+        xlink:href="QandAformat.html"
+        >Q and A formatting</link></para>
+  </refsee>
 </doc:pi>
 <xsl:template name="pi.dbfo_toc">
@@ -678,34 +824,35 @@
 </xsl:template>
 
-<!-- ==================================================================== -->
-
 <doc:pi name="dbfo-need" xmlns="">
-<refpurpose>Specify a need for space (a kind of soft page break)</refpurpose>
-<refdescription>
-  <para>A “need” is a request for space on a page.  If the
-    requested space is not available, the page breaks and the
-    content that follows the need request appears on the next
-    page. If the requested space is available, then the request is
-    ignored.</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo-need height="<replaceable>n</replaceable>"</tag></synopsis>
-    <synopsis><tag class="xmlpi">dbfo-need space-before="<replaceable>n</replaceable>"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>height="<replaceable>n</replaceable>"</term>
-      <listitem>
-        <para>FIXME: the amount of height(?) needed? In what units? pt?.</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry><term>space-before"<replaceable>n</replaceable>"</term>
-      <listitem>
-        <para>FIXME: the amount of space needed before the
-          [something]? In what units? pt?.</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
+  <refpurpose>Specify a need for space (a kind of soft page break)</refpurpose>
+  <refdescription>
+    <para>A “need” is a request for space on a page.  If the
+      requested space is not available, the page breaks and the
+      content that follows the need request appears on the next
+      page. If the requested space is available, then no page break
+      is inserted.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo-need height="<replaceable>n</replaceable>" [space-before="<replaceable>n</replaceable>"]</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>height="<replaceable>n</replaceable>"</term>
+        <listitem>
+          <para>The amount of height needed (including units)</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>space-before"<replaceable>n</replaceable>"</term>
+        <listitem>
+          <para>The amount of extra vertical space to add (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="PageBreaking.html#SoftPageBreaks"
+        >Soft page breaks</link></para>
+  </refsee>
 </doc:pi>
 <xsl:template name="pi.dbfo-need">
@@ -744,6 +891,6 @@
     </xsl:when>
     <xsl:when test="$pi-before != '' and
-                    not(following-sibling::listitem) and
-                    not(following-sibling::step)">
+      not(following-sibling::listitem) and
+      not(following-sibling::step)">
       <fo:block space-after="0pt" space-before="{$pi-before}">
         <xsl:copy-of select="$spacer"/>
@@ -752,39 +899,39 @@
     <xsl:when test="following-sibling::para">
       <fo:block space-after="0pt" 
-                xsl:use-attribute-sets="normal.para.spacing">
+        xsl:use-attribute-sets="normal.para.spacing">
         <xsl:copy-of select="$spacer"/>
       </fo:block>
     </xsl:when>
     <xsl:when test="following-sibling::table or
-                    following-sibling::figure or
-                    following-sibling::example or
-                    following-sibling::equation">
+      following-sibling::figure or
+      following-sibling::example or
+      following-sibling::equation">
       <fo:block space-after="0pt" 
-                xsl:use-attribute-sets="formal.object.properties">
+        xsl:use-attribute-sets="formal.object.properties">
         <xsl:copy-of select="$spacer"/>
       </fo:block>
     </xsl:when>
     <xsl:when test="following-sibling::informaltable or
-                    following-sibling::informalfigure or
-                    following-sibling::informalexample or
-                    following-sibling::informalequation">
+      following-sibling::informalfigure or
+      following-sibling::informalexample or
+      following-sibling::informalequation">
       <fo:block space-after="0pt" 
-                xsl:use-attribute-sets="informal.object.properties">
+        xsl:use-attribute-sets="informal.object.properties">
         <xsl:copy-of select="$spacer"/>
       </fo:block>
     </xsl:when>
     <xsl:when test="following-sibling::itemizedlist or
-                    following-sibling::orderedlist or
-                    following-sibling::variablelist or
-                    following-sibling::simplelist">
+      following-sibling::orderedlist or
+      following-sibling::variablelist or
+      following-sibling::simplelist">
       <fo:block space-after="0pt" 
-                xsl:use-attribute-sets="informal.object.properties">
+        xsl:use-attribute-sets="informal.object.properties">
         <xsl:copy-of select="$spacer"/>
       </fo:block>
     </xsl:when>
     <xsl:when test="following-sibling::listitem or
-                    following-sibling::step">
+      following-sibling::step">
       <fo:list-item space-after="0pt" 
-                xsl:use-attribute-sets="informal.object.properties">
+        xsl:use-attribute-sets="informal.object.properties">
         <fo:list-item-label/>
         <fo:list-item-body start-indent="0pt" end-indent="0pt">
@@ -794,11 +941,11 @@
     </xsl:when>
     <xsl:when test="following-sibling::sect1 or
-                    following-sibling::sect2 or
-                    following-sibling::sect3 or
-                    following-sibling::sect4 or
-                    following-sibling::sect5 or
-                    following-sibling::section">
+      following-sibling::sect2 or
+      following-sibling::sect3 or
+      following-sibling::sect4 or
+      following-sibling::sect5 or
+      following-sibling::section">
       <fo:block space-after="0pt" 
-                xsl:use-attribute-sets="section.title.properties">
+        xsl:use-attribute-sets="section.title.properties">
         <xsl:copy-of select="$spacer"/>
       </fo:block>
@@ -816,9 +963,9 @@
     </xsl:when>
     <xsl:when test="following-sibling::listitem or
-                    following-sibling::step">
+      following-sibling::step">
       <fo:list-item space-before.precedence="force"
-                space-before="-{$height}"
-                space-after="0pt"
-                space-after.precedence="force">
+        space-before="-{$height}"
+        space-after="0pt"
+        space-after.precedence="force">
         <fo:list-item-label/>
         <fo:list-item-body start-indent="0pt" end-indent="0pt"/>
@@ -827,7 +974,7 @@
     <xsl:otherwise>
       <fo:block space-before.precedence="force"
-                space-before="-{$height}"
-                space-after="0pt"
-                space-after.precedence="force">
+        space-before="-{$height}"
+        space-after="0pt"
+        space-after.precedence="force">
       </fo:block>
     </xsl:otherwise>
@@ -849,4 +996,5 @@
 
 <!-- ==================================================================== -->
+
 <xsl:template match="processing-instruction()">
 </xsl:template>
Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/table.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/table.xsl	(revision f5da8e92f71e3009c439a98e4b1ef7004f867bb4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/table.xsl	(revision bbe9b3dad184299d621150c9e55f26864b814857)
@@ -23,29 +23,20 @@
      ******************************************************************** -->
 
-<doc:reference xmlns="">
-<referenceinfo>
-<releaseinfo role="meta">
-$Id$
-</releaseinfo>
-<author><surname>Walsh</surname>
-<firstname>Norman</firstname></author>
-<copyright><year>1999</year><year>2000</year>
-<holder>Norman Walsh</holder>
-</copyright>
-</referenceinfo>
-<title>Formatting Object Table Reference</title>
-
-<partintro id="partintro">
-<title>Introduction</title>
-
-<para>This is technical reference documentation for the FO
-table-processing templates in the DocBook XSL Stylesheets.</para>
-
-<para>This is not intended to be <quote>user</quote> documentation.
-It is provided for developers writing customization layers for the
-stylesheets, and for anyone who's interested in <quote>how it
-works</quote>.</para>
-
-</partintro>
+<doc:reference xmlns="" xml:id="table-templates">
+  <?dbhtml dir="fo"?>
+  <info>
+    <title>Formatting Object Table Reference</title>
+    <releaseinfo role="meta">
+      $Id$
+    </releaseinfo>
+  </info>
+  <partintro xml:id="partintro">
+    <title>Introduction</title>
+    <para>This is technical reference documentation for the FO
+      table-processing templates in the DocBook XSL Stylesheets.</para>
+    <para>This is not intended to be user documentation.  It is
+      provided for developers writing customization layers for the
+      stylesheets.</para>
+  </partintro>
 </doc:reference>
 
Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/verbatim.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/verbatim.xsl	(revision f5da8e92f71e3009c439a98e4b1ef7004f867bb4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/verbatim.xsl	(revision bbe9b3dad184299d621150c9e55f26864b814857)
@@ -351,5 +351,6 @@
 <xsl:template match="node()|@*" mode="hyphenate.verbatim">
   <xsl:copy>
-    <xsl:apply-templates select="node()|@*" mode="hyphenate.verbatim"/>
+    <xsl:copy-of select="@*"/>
+    <xsl:apply-templates mode="hyphenate.verbatim"/>
   </xsl:copy>
 </xsl:template>
Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/xref.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/xref.xsl	(revision f5da8e92f71e3009c439a98e4b1ef7004f867bb4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/xref.xsl	(revision bbe9b3dad184299d621150c9e55f26864b814857)
@@ -719,4 +719,15 @@
 </xsl:template>
 
+<xsl:template match="area|areaset" mode="xref-to">
+  <xsl:param name="referrer"/>
+  <xsl:param name="xrefstyle"/>
+
+  <xsl:call-template name="callout-bug">
+    <xsl:with-param name="conum">
+      <xsl:apply-templates select="." mode="conumber"/>
+    </xsl:with-param>
+  </xsl:call-template>
+</xsl:template>
+
 <xsl:template match="book" mode="xref-to">
   <xsl:param name="referrer"/>
Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/lib/lib.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/lib/lib.xsl	(revision f5da8e92f71e3009c439a98e4b1ef7004f867bb4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/lib/lib.xsl	(revision bbe9b3dad184299d621150c9e55f26864b814857)
@@ -1,4 +1,3 @@
-<?xml version="1.0"?>
-
+<?xml version="1.0" encoding="ASCII"?>
 <!-- ********************************************************************
      $Id$
@@ -12,7 +11,5 @@
 
      ******************************************************************** -->
-
-
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:saxon="http://icl.com/saxon" xmlns:dyn="http://exslt.org/dynamic" xmlns:src="http://nwalsh.com/xmlns/litprog/fragment" exclude-result-prefixes="src" version="1.0">
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:saxon="http://icl.com/saxon" xmlns:ssb="http://sideshowbarker.net/ns" xmlns:dyn="http://exslt.org/dynamic" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:src="http://nwalsh.com/xmlns/litprog/fragment" xmlns="http://docbook.org/ns/docbook" exclude-result-prefixes="src" version="1.0">
 
 <xsl:template name="dot.count">
@@ -313,5 +310,4 @@
   </xsl:choose>
 </xsl:template>
-
   <xsl:template name="str.tokenize.keep.delimiters">
     <xsl:param name="string" select="''"/>
@@ -320,27 +316,25 @@
       <xsl:when test="not($string)"/>
       <xsl:when test="not($delimiters)">
-	<xsl:call-template name="str.tokenize.keep.delimiters-characters">
-	  <xsl:with-param name="string" select="$string"/>
-	</xsl:call-template>
+        <xsl:call-template name="str.tokenize.keep.delimiters-characters">
+          <xsl:with-param name="string" select="$string"/>
+        </xsl:call-template>
       </xsl:when>
       <xsl:otherwise>
-	<xsl:call-template name="str.tokenize.keep.delimiters-delimiters">
-	  <xsl:with-param name="string" select="$string"/>
-	  <xsl:with-param name="delimiters" select="$delimiters"/>
-	</xsl:call-template>
+        <xsl:call-template name="str.tokenize.keep.delimiters-delimiters">
+          <xsl:with-param name="string" select="$string"/>
+          <xsl:with-param name="delimiters" select="$delimiters"/>
+        </xsl:call-template>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:template>
-  
   <xsl:template name="str.tokenize.keep.delimiters-characters">
     <xsl:param name="string"/>
     <xsl:if test="$string">
-      <token><xsl:value-of select="substring($string, 1, 1)"/></token>
+      <ssb:token><xsl:value-of select="substring($string, 1, 1)"/></ssb:token>
       <xsl:call-template name="str.tokenize.keep.delimiters-characters">
-	<xsl:with-param name="string" select="substring($string, 2)"/>
+        <xsl:with-param name="string" select="substring($string, 2)"/>
       </xsl:call-template>
     </xsl:if>
   </xsl:template>
-  
   <xsl:template name="str.tokenize.keep.delimiters-delimiters">
     <xsl:param name="string"/>
@@ -349,25 +343,25 @@
     <xsl:choose>
       <xsl:when test="not($delimiter)">
-	<token><xsl:value-of select="$string"/></token>
+        <ssb:token><xsl:value-of select="$string"/></ssb:token>
       </xsl:when>
       <xsl:when test="contains($string, $delimiter)">
-	<xsl:if test="not(starts-with($string, $delimiter))">
-	  <xsl:call-template name="str.tokenize.keep.delimiters-delimiters">
-	    <xsl:with-param name="string" select="substring-before($string, $delimiter)"/>
-	    <xsl:with-param name="delimiters" select="substring($delimiters, 2)"/>
-	  </xsl:call-template>
-	</xsl:if>
-	<!-- output each delimiter -->
-	<xsl:value-of select="$delimiter"/>
-	<xsl:call-template name="str.tokenize.keep.delimiters-delimiters">
-	  <xsl:with-param name="string" select="substring-after($string, $delimiter)"/>
-	  <xsl:with-param name="delimiters" select="$delimiters"/>
-	</xsl:call-template>
+        <xsl:if test="not(starts-with($string, $delimiter))">
+          <xsl:call-template name="str.tokenize.keep.delimiters-delimiters">
+            <xsl:with-param name="string" select="substring-before($string, $delimiter)"/>
+            <xsl:with-param name="delimiters" select="substring($delimiters, 2)"/>
+          </xsl:call-template>
+        </xsl:if>
+        <!-- output each delimiter -->
+        <xsl:value-of select="$delimiter"/>
+        <xsl:call-template name="str.tokenize.keep.delimiters-delimiters">
+          <xsl:with-param name="string" select="substring-after($string, $delimiter)"/>
+          <xsl:with-param name="delimiters" select="$delimiters"/>
+        </xsl:call-template>
       </xsl:when>
       <xsl:otherwise>
-	<xsl:call-template name="str.tokenize.keep.delimiters-delimiters">
-	  <xsl:with-param name="string" select="$string"/>
-	  <xsl:with-param name="delimiters" select="substring($delimiters, 2)"/>
-	</xsl:call-template>
+        <xsl:call-template name="str.tokenize.keep.delimiters-delimiters">
+          <xsl:with-param name="string" select="$string"/>
+          <xsl:with-param name="delimiters" select="substring($delimiters, 2)"/>
+        </xsl:call-template>
       </xsl:otherwise>
     </xsl:choose>
